<?php

add_action('init','of_options');

if (!function_exists('of_options'))
{
	function of_options()
	{
		//Access the WordPress Categories via an Array
		$of_categories 		= array();  
		$of_categories_obj 	= get_categories('hide_empty=0');
		foreach ($of_categories_obj as $of_cat) {
		    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
		$categories_tmp 	= array_unshift($of_categories, "انتخاب دسته:");    
	       
		//Access the WordPress Pages via an Array
		$of_pages 			= array();
		$of_pages_obj 		= get_pages('sort_column=post_parent,menu_order');    
		foreach ($of_pages_obj as $of_page) {
		    $of_pages[$of_page->ID] = $of_page->post_name; }
		$of_pages_tmp 		= array_unshift($of_pages, "Select a page:");       
	
		//Testing 
		$of_options_select 	= array("one","two","three","four","five"); 
		$of_options_radio 	= array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five");
		
		//Sample Homepage blocks for the layout manager (sorter)
		$of_options_homepage_blocks = array
		( 
			"disabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_one"		=> "Block One",
				"block_two"		=> "Block Two",
				"block_three"	=> "Block Three",
			), 
			"enabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_four"	=> "Block Four",
			),
		);


		//Stylesheets Reader
		$alt_stylesheet_path = LAYOUT_PATH;
		$alt_stylesheets = array();
		
		if ( is_dir($alt_stylesheet_path) ) 
		{
		    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) 
		    { 
		        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) 
		        {
		            if(stristr($alt_stylesheet_file, ".css") !== false)
		            {
		                $alt_stylesheets[] = $alt_stylesheet_file;
		            }
		        }    
		    }
		}


		//Background Images Reader
		$bg_images_path = get_stylesheet_directory(). '/images/bg/'; // change this to where you store your bg images
		$bg_images_url = get_template_directory_uri().'/images/bg/'; // change this to where you store your bg images
		$bg_images = array();
		
		if ( is_dir($bg_images_path) ) {
		    if ($bg_images_dir = opendir($bg_images_path) ) { 
		        while ( ($bg_images_file = readdir($bg_images_dir)) !== false ) {
		            if(stristr($bg_images_file, ".png") !== false || stristr($bg_images_file, ".jpg") !== false) {
		            	natsort($bg_images); //Sorts the array into a natural order
		                $bg_images[] = $bg_images_url . $bg_images_file;
		            }
		        }    
		    }
		}
		

		/*-----------------------------------------------------------------------------------*/
		/* TO DO: Add options/functions that use these */
		/*-----------------------------------------------------------------------------------*/
		
		//More Options
		$uploads_arr 		= wp_upload_dir();
		$all_uploads_path 	= $uploads_arr['path'];
		$all_uploads 		= get_option('of_uploads');
		$other_entries 		= array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
		$body_repeat 		= array("no-repeat","repeat-x","repeat-y","repeat");
		$body_pos 			= array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");
		
		// Image Alignment radio box
		$of_options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center"); 
		
		// Image Links to Options
		$of_options_image_link_to = array("image" => "The Image","post" => "The Post"); 


/*-----------------------------------------------------------------------------------*/
/* The Options Array */
/*-----------------------------------------------------------------------------------*/

// Set the Options Array
global $of_options;
$of_options = array();

// home settings

$of_options[] = array( 	"name" 		=> "توضیحات و متون",
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-info.png"
				);
				
$of_options[] = array( 	"name" 		=> "متن پیش فرض جستجو",	
						"desc" 		=> "متنی که به صورت پیشفرض در قسمت جستجو نمایش داده می شود .",	
						"id" 		=> "search_text",
						"std" 		=> "جستجو ...",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "عنوان مطالب ویژه",	
						"desc" 		=> "عنوانی که در بالای قسمت مطالب ویژه نمایش داده می شود .",	
						"id" 		=> "feature_text",
						"std" 		=> "مطالب ویژه",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "عنوان اطلاعیه ی سایت",	
						"desc" 		=> "عنوانی که بالای قسمت اطلاعیه قرار دارد .",	
						"id" 		=> "sitealert_title",
						"std" 		=> "اطلاعیه های سایت",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "متن اطلاعیه ی سایت",
						"desc" 		=> "جهت وارد کردن کد ها و متن ها در این قسمت لطفا از راهنمای قالب استفاده کنید .",
						"id" 		=> "sitealert_text",
						"std" 		=> "<li><span>تست خبر</span>تست متن خبر</li>",
						"type" 		=> "textarea"
				);
				
$of_options[] = array( 	"name" 		=> "عنوان آخرین کتاب ها",	
						"desc" 		=> "عنوانی که در بالای قسمت مطالب آخرین کتاب ها نمایش داده می شود .",	
						"id" 		=> "books_text",
						"std" 		=> "آخرین کتاب ها",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "متن توضیح بوکمارک",
						"desc" 		=> "متنی که در قسمت بوکمارک نمایش داده می شود .",
						"id" 		=> "bookmark_text",
						"std" 		=> "برای دسترسی بهتر , راحت تر و سریع تر به سایت ما می توانید وب سایت ما را بوکمارک کنید .",
						"type" 		=> "textarea"
				);
				
$of_options[] = array( 	"name" 		=> "متن توضیح خبرنامه",
						"desc" 		=> "متنی که در قسمت خبرنامه بالای فیلد دریافت ایمیل نمایش داده می شود .",
						"id" 		=> "newsletter_text",
						"std" 		=> "جهت دریافت آخرین مطالب منتشر شده ایمیل خود را وارد نمایید تا در خبرنامه سایت عضو شوید :",
						"type" 		=> "textarea"
				);
				
$of_options[] = array( 	"name" 		=> "متن کپی رایت سایت",
						"desc" 		=> "متنی که در قسمت پایین سایت جهت رعایت کپی رایت نمایش داده می شود .",
						"id" 		=> "copyrights_text",
						"std" 		=> "تمامی حقوق وب سایت برای دانش فایل محفوظ می باشد . ©",
						"type" 		=> "textarea"
				);
				
$of_options[] = array( 	"name" 		=> "کد آخرین نظرات",
						"desc" 		=> "کد دلخواه خود را در صورتی که قسمت امکانات نمایش کد دلخواه انتخاب کرده اید وارد کنید .",
						"id" 		=> "bcomments_text",
						"std" 		=> "",
						"type" 		=> "textarea"
				);
				
// pics settings
	
$of_options[] = array( 	"name" 		=> "تصاویر و لوگو",
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-paint.png"
				);

				
$of_options[] = array( 	"name" 		=> "تصویر لوگو ی فاوآیکون",	
						"desc" 		=> "تصویر لوگویی که در بالای مرورگر نمایش داده می شود. سایز 48x48", 
						"id" 		=> "media_upload_logo", 	
						"std" 		=> get_template_directory_uri() ."/img/favicon.png", 		
						"type" 		=> "upload" 	
				);
				
$of_options[] = array( 	"name" 		=> "تصویر لوگو ی اپل رتینا 60",	
						"desc" 		=> "تصویر لوگویی که بوکمارک دستگاه های اپل نمایش داده می شود . سایز 60x60", 
						"id" 		=> "media_upload_retina_60", 	
						"std" 		=> get_template_directory_uri() ."/img/apple60.png", 		
						"type" 		=> "upload" 	
				);
				
$of_options[] = array( 	"name" 		=> "تصویر لوگو ی اپل رتینا 76",	
						"desc" 		=> "تصویر لوگویی که بوکمارک دستگاه های اپل نمایش داده می شود . سایز 76x76", 
						"id" 		=> "media_upload_retina_76", 	
						"std" 		=> get_template_directory_uri() ."/img/apple76.png", 		
						"type" 		=> "upload" 	
				);
				
$of_options[] = array( 	"name" 		=> "تصویر لوگو ی اپل رتینا 120",	
						"desc" 		=> "تصویر لوگویی که بوکمارک دستگاه های اپل نمایش داده می شود . سایز 120x120", 
						"id" 		=> "media_upload_retina_120", 	
						"std" 		=> get_template_directory_uri() ."/img/apple120.png", 		
						"type" 		=> "upload" 	
				);
				
$of_options[] = array( 	"name" 		=> "تصویر لوگو ی اپل رتینا 152",	
						"desc" 		=> "تصویر لوگویی که بوکمارک دستگاه های اپل نمایش داده می شود . سایز 152x152", 
						"id" 		=> "media_upload_retina_152", 	
						"std" 		=> get_template_directory_uri() ."/img/apple152.png", 		
						"type" 		=> "upload" 	
				);
				
$of_options[] = array( 	"name" 		=> "تصویر هدر بالای سایت",	
						"desc" 		=> "تصویر اصلی هدر که بالای سایت نمایش داده می شود . سایز 128x358", 
						"id" 		=> "media_upload_header", 	
						"std" 		=> get_template_directory_uri() ."/img/head.jpg", 		
						"type" 		=> "upload" 	
				);
				
$of_options[] = array( 	"name" 		=> "تصویر هدر در ریسپانسو",	
						"desc" 		=> "تصویر هدر بالای سایت که در دستگاه های با تصویر متفاوت نمایش داده می شود . سایز 193x277", 
						"id" 		=> "media_upload_header_res", 	
						"std" 		=> get_template_directory_uri() ."/img/head-res.jpg", 		
						"type" 		=> "upload" 	
				);
				
$of_options[] = array( 	"name" 		=> "مطلب بدون تصویر 50",	
						"desc" 		=> "تصویر مطالبی که فاقد تصویر میباشند به جای آن نمایش داده می شود . سایز 50x50", 
						"id" 		=> "media_upload_noimg50", 	
						"std" 		=> get_template_directory_uri() ."/img/no-img-50.jpg", 		
						"type" 		=> "upload" 	
				);
				
$of_options[] = array( 	"name" 		=> "مطلب بدون تصویر 120",	
						"desc" 		=> "تصویر مطالبی که فاقد تصویر میباشند به جای آن نمایش داده می شود . سایز 120x120", 
						"id" 		=> "media_upload_noimg120", 	
						"std" 		=> get_template_directory_uri() ."/img/no-img-120.jpg", 		
						"type" 		=> "upload" 	
				);
				
$of_options[] = array( 	"name" 		=> "مطلب بدون تصویر 158",	
						"desc" 		=> "تصویر مطالبی که فاقد تصویر میباشند به جای آن نمایش داده می شود . سایز 158x158", 
						"id" 		=> "media_upload_noimg158", 	
						"std" 		=> get_template_directory_uri() ."/img/no-img-158.jpg", 		
						"type" 		=> "upload" 	
				);
				
$of_options[] = array( 	"name" 		=> "مطلب بدون تصویر 200",	
						"desc" 		=> "تصویر مطالبی که فاقد تصویر میباشند به جای آن نمایش داده می شود . سایز 200x200", 
						"id" 		=> "media_upload_noimg200", 	
						"std" 		=> get_template_directory_uri() ."/img/no-img-200.jpg", 		
						"type" 		=> "upload" 	
				);
				
// General Settings

$of_options[] = array( 	"name" 		=> "مدیریت تبلیغات",
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-home.png"
				);
				
$of_options[] = array( 	"name" 		=> "کد تبلیغات بالای سایت",
						"desc" 		=> "جهت وارد کردن کد ها در این قسمت می توانید از قسمت راهنمای پوسته استفاده کنید . سایز 468x60",
						"id" 		=> "topads_text",
						"std" 		=> "<img src='".get_template_directory_uri()."/img/adstop.jpg' alt='ads' width='468' height='60' /><img src='".get_template_directory_uri()."/img/adstop.jpg' alt='ads' width='468' height='60' />",
						"type" 		=> "textarea"
				);
				
$of_options[] = array( 	"name" 		=> "کد تبلیغات کناری",
						"desc" 		=> "جهت وارد کردن کد ها در این قسمت می توانید از قسمت راهنمای پوسته استفاده کنید . 120x240",
						"id" 		=> "sideads_text",
						"std" 		=> "<img src='".get_template_directory_uri()."/img/adsside.jpg' alt='ads' width='120' height='240' /><img src='".get_template_directory_uri()."/img/adsside.jpg' alt='ads' width='120' height='240' />",
						"type" 		=> "textarea"
				);
				
$of_options[] = array( 	"name" 		=> "کد تبلیغات متنی",
						"desc" 		=> "جهت وارد کردن کد ها در این قسمت می توانید از قسمت راهنمای پوسته استفاده کنید .",
						"id" 		=> "textads_text",
						"std" 		=> "<a href='#' title='#'><div class='textads'>تست لینک<span>تست توضیحات</span></div></a>",
						"type" 		=> "textarea"
				);
				
$of_options[] = array( 	"name" 		=> "کد تبلیغات ادامه مطلب",
						"desc" 		=> "جهت وارد کردن کد ها در این قسمت می توانید از قسمت راهنمای پوسته استفاده کنید . 468x60",
						"id" 		=> "moreads_text",
						"std" 		=> "<img src='".get_template_directory_uri()."/img/adstop.jpg' alt='ads' width='468' height='60' />",
						"type" 		=> "textarea"
				);
			
// Styling options
				
$of_options[] = array( 	"name" 		=> "موضوع و لینک ها",
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-add.png"
				);
				
$of_options[] = array( 	"name" 		=> "لینک گوگل پلاس",	
						"desc" 		=> "لینک صفحه ی گوگل پلاس سایت را وارد کنید .",	
						"id" 		=> "google_link",
						"std" 		=> "",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "لینک اینستاگرام",	
						"desc" 		=> "لینک صفحه ی اینستاگرام سایت را وارد کنید .",	
						"id" 		=> "instagram_link",
						"std" 		=> "",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "لینک تلگرام",	
						"desc" 		=> "لینک کانال تلگرام سایت را وارد کیند .",	
						"id" 		=> "telegram_link",
						"std" 		=> "",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "انتخاب موضوع آخرین کتاب ها",	
						"desc" 		=> "موضوعی که مطالب آن در قسمت آخرین کتاب ها در صفحه اصلی نمایش داده می شود .",
						"id" 		=> "books_cat",
						"std" 		=> "کتاب ها",
						"type" 		=> "select",
						"options" 	=> $of_categories	
				);
				
$of_options[] = array( 	"name" 		=> "برچسب مطالب ویژه",	
						"desc" 		=> "برچسبی که مطالب دارای آن  در اسلایدر مطالب ویژه نمایش داده می شود .",	
						"id" 		=> "feature_tag",
						"std" 		=> "ویژه",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "برچسب مطالب پیشنهادی",	
						"desc" 		=> "برچسبی که مطالب دارای آن در ساید بار قسمت مطالب پیشنهادی نمایش داده می شود .",	
						"id" 		=> "offer_tag",
						"std" 		=> "پیشنهادی",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "لینک افزایش موجودی",	
						"desc" 		=> "لینک صفحه ای که برای افزایش موجودی کاربر توسط افزونه edd wallet قرار دادید و کد [edd_deposit] در آن قرار دارد را بگزارید .",	
						"id" 		=> "edd_wallet_link",
						"std" 		=> "",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "لینک سوابق خرید",	
						"desc" 		=> "لینک سوابق خرید که در قست دسترسی سریع در پایین سایت قرار دارد .",	
						"id" 		=> "phistory_link",
						"std" 		=> "",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "لینک مشکلات دانلود",	
						"desc" 		=> "لینک صفحه مشکلات دانلود که در قسمت دسترسی سریع در پایین سایت نمایش داده می شود .",	
						"id" 		=> "dlpb_link",
						"std" 		=> "",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "لینک تماس باما",	
						"desc" 		=> "لینک صفحه تماس با ما که در قسمت دسترسی سریع در پایین سایت نمایش داده می شود .",	
						"id" 		=> "contact_link",
						"std" 		=> "",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "لینک درباره ما",	
						"desc" 		=> "لینک صفحه ی درباره ی ما که در قسمت دسترسی سریع در پایین سایت نمایش داده می شود .",	
						"id" 		=> "about_link",
						"std" 		=> "",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "کد فید برنر گوگل",	
						"desc" 		=> "کدی که گوگل برای خبر نامه سایت شما می دهد . برای اطلاعات بیشتر راهنما را مطالعه کنید .",	
						"id" 		=> "feedburner_code",
						"std" 		=> "",
						"type" 		=> "text"	
				);
				
// Example options
				
$of_options[] = array( 	"name" 		=> "امکانات نمایش",
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-docs.png"
				);
				
$of_options[] = array( 	"name" 		=> "نمایش لودینگ سایت",		
						"desc" 		=> "لودینگ سایت نمایش داده شود ؟",	
						"id" 		=> "loading_show",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",		   
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "نمایش بالابر صفحه",		
						"desc" 		=> "بالابر صفحه در گوشه سمت راست نمایش داده شود ؟",	
						"id" 		=> "upper_show",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",		   
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "چسبیدن منوی بالا",		
						"desc" 		=> "آیا هنگام اسکرول صفحه منوی بالا ثابت بماند ؟",	
						"id" 		=> "topnav_stick",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "نمایش امتیاز گوگل پلاس",		
						"desc" 		=> "امتیاز دهی گوگل پلاس در گوشه سمت چپ نمایش داده شود ؟",	
						"id" 		=> "gplus_show",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",		   
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "نمایش اشتراک گزاری بالا",		
						"desc" 		=> "قسمت اشتراک گزاری بالای سایت نمایش داده شود ؟",	
						"id" 		=> "topshare_show",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"folds"		=> 1,		   
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "نمایش گوگل پلاس",		
						"desc" 		=> "گوگل پلاس در اشتراک گزاری بالا نمایش داده شود ؟",	
						"id" 		=> "googleplus_show",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"fold"		=> "topshare_show",		   
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "نمایش اینستاگرام",		
						"desc" 		=> "اینستاگرام در اشتراک گزاری بالا نمایش داده شود ؟",	
						"id" 		=> "instagram_show",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"fold"		=> "topshare_show",		   
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "نمایش تلگرام",		
						"desc" 		=> "تلگرام در اشتراک گزاری بالا نمایش داده شود ؟",	
						"id" 		=> "telegram_show",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"fold"		=> "topshare_show",		   
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "نمایش ار اس اس",		
						"desc" 		=> "ار اس اس در اشتراک گزاری بالا نمایش داده شود ؟",	
						"id" 		=> "rss_show",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"fold"		=> "topshare_show",		   
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "نمایش سبد خرید بالا",		
						"desc" 		=> "موجودی سبد خرید در فهرست بالا نمایش داده شود ؟",	
						"id" 		=> "cartq_show",		
						"std" 		=> 1,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "نمایش مطالب ویژه",		
						"desc" 		=> "قسمت اسلایدر مطالب ویژه ی بالای سایت نمایش داده شود ؟",	
						"id" 		=> "feature_show",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"folds"		=> 1,
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "تعداد مطالب ویژه",	
						"desc" 		=> "تعداد نمایش مطالب ویژه در اسلایدر بالای سایت .",	
						"id" 		=> "feature_count",				
						"std" 		=> "10",					
						"min" 		=> "1",                  
						"step"		=> "1",               
						"max" 		=> "20",
						"fold" 		=> "feature_show",
						"type" 		=> "sliderui" 		
				);
				
$of_options[] = array( 	"name" 		=> "نمایش اطلاعیه ی سایت",		
						"desc" 		=> "قسمت اطلاعیه ی بالای سایت نمایش داده شود ؟",	
						"id" 		=> "sitealert_show",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "حالت نمایش مطالب",		
						"desc" 		=> "حالت نمایش مطالب در صفحه اصلی را انتخاب کنید .",	
						"id" 		=> "homepage_show",		
						"std" 		=> 1,				
						"off"		=> "پشت سر هم",
						"on"		=> "بند انگشتی",
						"folds"		=> 1,
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "نمایش آخرین کتاب ها",		
						"desc" 		=> "قسمت آخرین کتاب ها در صفحه اصلی نمایش داده شود ؟",	
						"id" 		=> "books_show",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"fold"		=> "homepage_show",
						"folds"		=> 1,
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "تعداد آخرین کتاب ها",	
						"desc" 		=> "تعداد نمایش آخرین کتاب ها در صفحه اصلی .",	
						"id" 		=> "books_count",				
						"std" 		=> "20",					
						"min" 		=> "0",                  
						"step"		=> "1",               
						"max" 		=> "50",
						"fold" 		=> "books_show",
						"type" 		=> "sliderui" 		
				);
				
$of_options[] = array( 	"name" 		=> "لود آجاکس صفحات",		
						"desc" 		=> "آیا صفحه بندی سایت به صورت آجاکس لود شود ؟",	
						"id" 		=> "ajax_show",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "افکت لود شدن مطالب",		
						"desc" 		=> "آیا لود شدن مطالب سایت دارای افکت باشد ؟",	
						"id" 		=> "posts_effect",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "نمایش تبلیغات بالای سایت",		
						"desc" 		=> "قسمت تبلیغات بالای سایت نمایش داده شود ؟",	
						"id" 		=> "topads_show",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "نمایش اشتراک گزاری سایدبار",		
						"desc" 		=> "قسمت اشتراک گزاری ساید بار نمایش داده شود ؟",	
						"id" 		=> "sideshare_show",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "چسبیدن سایدبار",		
						"desc" 		=> "آیا هنگام اسکرول صفحه ساید بار ثابت بماند ؟",	
						"id" 		=> "sidebar_stick",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"type" 		=> "switch"  
				);
				
				
$of_options[] = array( 	"name" 		=> "نمایش تبلیغات سایدبار",		
						"desc" 		=> "قسمت تبلغات در سایدبار نمایش داده شود ؟",	
						"id" 		=> "sideads_show",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "نمایش قسمت ورود به سایت",		
						"desc" 		=> "قسمت ورود به سایت در ساید بار نمایش داده شود ؟",	
						"id" 		=> "user_login_show",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "نمایش قسمت عضویت در سایت",		
						"desc" 		=> "قسمت عضویت در سایت نمایش داده شود ؟",	
						"id" 		=> "user_reg_show",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "نمایش قسمت پنل کاربری",		
						"desc" 		=> "قسمت پنل کاربری پس از ورود کاربر در ساید بار نمایش داده شود ؟",	
						"id" 		=> "user_panel_show",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "نمایش موضوعات در سایدبار",		
						"desc" 		=> "قسمت موضوعات سایت در سایدبار نمایش داده شود ؟",	
						"id" 		=> "sidecats_show",		
						"std" 		=> 1,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "نمایش محصولات پرفروش",		
						"desc" 		=> "قسمت محصولات پرفروش در ساید بار نمایش داده شود ؟",	
						"id" 		=> "bestsale_show",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"folds"		=> 1,
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "تعداد محصولات پرفروش",	
						"desc" 		=> "تعداد نمایش محصولات پرفروش در سایدبار .",	
						"id" 		=> "bestsale_count",				
						"std" 		=> "10",					
						"min" 		=> "1",                  
						"step"		=> "1",               
						"max" 		=> "20",
						"fold" 		=> "bestsale_show",
						"type" 		=> "sliderui" 		
				);
				
$of_options[] = array( 	"name" 		=> "نمایش مطالب پیشنهادی",		
						"desc" 		=> "قسمت مطالب پیشنهادی در ساید بار نمایش داده شود ؟",	
						"id" 		=> "offer_show",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"folds"		=> 1,
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "تعداد مطالب پیشنهادی",	
						"desc" 		=> "تعداد نمایش مطاللب پیشنهادی در سایدبار .",	
						"id" 		=> "offer_count",				
						"std" 		=> "10",					
						"min" 		=> "1",                  
						"step"		=> "1",               
						"max" 		=> "20",
						"fold" 		=> "offer_show",
						"type" 		=> "sliderui" 		
				);
				
$of_options[] = array( 	"name" 		=> "نمایش انواع مطالب",		
						"desc" 		=> "قسمت انواع مطالب در ساید بار نمایش داده شود ؟",	
						"id" 		=> "listpost_show",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"folds"		=> 1,
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "تعداد جدیدترین مطالب",	
						"desc" 		=> "تعداد نمایش جدیدترین مطالب در قسمت انواع مطالب در سایدبار .",	
						"id" 		=> "newposts_count",				
						"std" 		=> "10",					
						"min" 		=> "1",                  
						"step"		=> "1",               
						"max" 		=> "20",
						"fold" 		=> "listpost_show",
						"type" 		=> "sliderui" 		
				);
				
$of_options[] = array( 	"name" 		=> "تعداد مطالب پربازدید",	
						"desc" 		=> "تعداد نمایش مطالب پربازدید در قسمت انواع مطالب در سابدبار .",	
						"id" 		=> "popposts_count",				
						"std" 		=> "10",					
						"min" 		=> "1",                  
						"step"		=> "1",               
						"max" 		=> "20",
						"fold" 		=> "listpost_show",
						"type" 		=> "sliderui" 		
				);
				
$of_options[] = array( 	"name" 		=> "تعداد مطالب تصادفی",	
						"desc" 		=> "تعداد نمایش مطالب تصادفی در قسمت انواع مطالب در سایدبار .",	
						"id" 		=> "randposts_count",				
						"std" 		=> "10",					
						"min" 		=> "1",                  
						"step"		=> "1",               
						"max" 		=> "20",
						"fold" 		=> "listpost_show",
						"type" 		=> "sliderui" 		
				);
				
$of_options[] = array( 	"name" 		=> "نمایش تبلیغات متنی",		
						"desc" 		=> "قسمت تبلیغات متنی در سایدبار نمایش داده شود ؟",	
						"id" 		=> "textads_show",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "حالت نمایش آخرین نظرات",		
						"desc" 		=> "میتواند آخرین نظرات باشد یا کد دلخواه شما",	
						"id" 		=> "bcomments",		
						"std" 		=> 0,				
						"off"		=> "آخرین نظرات",
						"on"		=> "کد دلخواه",
						"folds"		=> 1,
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "تعداد آخرین نظرات",	
						"desc" 		=> "تعداد نمایش آخرین نظرات در پایین سایت .",	
						"id" 		=> "bcomments_count",				
						"std" 		=> "10",					
						"min" 		=> "1",                  
						"step"		=> "1",               
						"max" 		=> "20",
						"type" 		=> "sliderui" 		
				);
				
$of_options[] = array( 	"name" 		=> "چسبیدن باکس سمت راست",		
						"desc" 		=> "آیا باکس سمت راست در ادامه مطلب هنگام اسکرول چسبیده شود ؟",	
						"id" 		=> "rightpart_fix",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "نمایش امتیاز دهی ستاره ای",		
						"desc" 		=> "آیا امتیاز دهی ستاره ای در ادامه مطلب نشان داده شود ؟",	
						"id" 		=> "starating_show",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "نمایش تعداد فروش",		
						"desc" 		=> "آیا تعداد فروش در صفحه مطلب نمایش داده شود ؟",	
						"id" 		=> "cellcount_show",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "نمایش گزارش خرابی لینک",		
						"desc" 		=> "آیا قسمت گزارش خرابی لینک در ادامه مطلب نمایش داده شود ؟",	
						"id" 		=> "brokelink_show",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "نمایش تبلیغات ادامه مطلب",		
						"desc" 		=> "قسمت تبلیغات در ادامه مطلب نمایش داده شود ؟",	
						"id" 		=> "moreads_show",		
						"std" 		=> 0,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "نمایش درباره نویسنده",		
						"desc" 		=> "قسمت درباره نویسنده در ادامه مطلب نمایش داده شود ؟",	
						"id" 		=> "aboutaut_show",		
						"std" 		=> 1,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "نمایش مطالب مرتبط",		
						"desc" 		=> "قسمت مطالب مرتبط در ادامه مطلب نمایش داده شود ؟",	
						"id" 		=> "relpost_show",		
						"std" 		=> 1,				
						"off"		=> "خیر",
						"on"		=> "بله",
						"folds"		=> 1,
						"type" 		=> "switch"  
				);
				
$of_options[] = array( 	"name" 		=> "تعداد مطالب مرتبط",	
						"desc" 		=> "تعداد نمایش مطالب مرتبط در ادامه مطلب .",	
						"id" 		=> "relpost_count",				
						"std" 		=> "5",					
						"min" 		=> "1",                  
						"step"		=> "1",               
						"max" 		=> "20",
						"fold" 		=> "relpost_show",
						"type" 		=> "sliderui" 		
				);
				
//Advanced Settings
$of_options[] = array( 	"name" 		=> "سایر امکانات",
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-edit.png"
				);
				
$of_options[] = array( 	"name" 		=> "رنگ بکگراند سایت",
						"desc" 		=> "تغییر رنگ بکگراند سایت . پیشفرض #eeeeee",
						"id" 		=> "body_bgcolor",
						"std" 		=> "#eeeeee",
						"type" 		=> "color"
				);
				
$of_options[] = array( 	"name" 		=> "تصویر پترن بکگراند",
						"desc" 		=> "میتوانید به صورت  دلخواه انتخاب کنید یا خالی بزارید ",
						"id" 		=> "body_bg",
						"std" 		=> "",
						"type" 		=> "upload"
				);
				
$of_options[] = array( 	"name" 		=> "رنگ متن سایت",
						"desc" 		=> "تغییر رنگ کلی متون سایت . پیشفرض #444444",
						"id" 		=> "body_color",
						"std" 		=> "#444444",
						"type" 		=> "color"
				);
				
$of_options[] = array( 	"name" 		=> "رنگ متن لینک سایت",
						"desc" 		=> "تغییر رنگ کلی متون لینک های سایت . پیشفرض #444444",
						"id" 		=> "bodya_color",
						"std" 		=> "#444444",
						"type" 		=> "color"
				);
				
$of_options[] = array( 	"name" 		=> "رنگ بکگراند هدر",
						"desc" 		=> "تغییر رنگ قسمت بکگراند هدر سایت . پیشفرض #ffffff",
						"id" 		=> "header_bgcolor",
						"std" 		=> "#ffffff",
						"type" 		=> "color"
				);
				
$of_options[] = array( 	"name" 		=> "رنگ بکگراند عناوین اصلی",
						"desc" 		=> "تغییر رنگ بکگراند عنواین اصلی مانند مطالب ویژه . پیشفرض #ffffff",
						"id" 		=> "maintitle_bgcolor",
						"std" 		=> "#ffffff",
						"type" 		=> "color"
				);
				
$of_options[] = array( 	"name" 		=> "رنگ بکگراند منو های اصلی",
						"desc" 		=> "تغییر رنگ بکگراند منو های اصلی مانند تبلیغات بزرگ . #ffffff",
						"id" 		=> "mainmenu_bgcolor",
						"std" 		=> "#ffffff",
						"type" 		=> "color"
				);
			
$of_options[] = array( 	"name" 		=> "رنگ بکگراند ساید بار",
						"desc" 		=> "تغییر رنگ بکگراند سایدبار های سایت . پیشفرض #ffffff",
						"id" 		=> "sidebar_bgcolor",
						"std" 		=> "#ffffff",
						"type" 		=> "color"
				);
				
$of_options[] = array( 	"name" 		=> "رنگ بکگراند مطالب",
						"desc" 		=> "تغییر رنگ بکگراند مطالب سایت . پیشفرض #ffffff",
						"id" 		=> "posts_bgcolor",
						"std" 		=> "#ffffff",
						"type" 		=> "color"
				);
				
$of_options[] = array( 	"name" 		=> "رنگ بکگراند ادامه مطلب",
						"desc" 		=> "تغییر رنگ بکگراند منوهای ادامه مطلب . پیشفرض #ffffff",
						"id" 		=> "moreposts_bgcolor",
						"std" 		=> "#ffffff",
						"type" 		=> "color"
				);
				
$of_options[] = array( 	"name" 		=> "رنگ بکگراند پایین سایت",
						"desc" 		=> "تغییر رنگ بکگراند پایین سایت . پیشفرض #ffffff",
						"id" 		=> "footer_bgcolor",
						"std" 		=> "#ffffff",
						"type" 		=> "color"
				);
				
// Backup Options
$of_options[] = array( 	"name" 		=> "پشتیبان گیری",
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-slider.png"
				);
				
$of_options[] = array( 	"name" 		=> "تنطیمات پشتیبان گیری",
						"id" 		=> "of_backup",
						"std" 		=> "",
						"type" 		=> "backup",
						"desc" 		=> 'شما می توانید از دو دکمه ی پایین برای پشتیبان گیری از تنظیمات استفاده کنید، و بعد در زمانی دیگر به حالت قبل بازگردانید . این خیلی به شما کمک خواهد کرد زمانی که می خواهید تنظیمات مختلف را تجربه کنید ولی تنظیمات قبلی خود را نگه دارید و هر زمانی که خواستید به حالت قبل برگردید.',
				);
				
$of_options[] = array( 	"name" 		=> "انتقال اطلاعات تنظیمات پوسته",
						"id" 		=> "of_transfer",
						"std" 		=> "",
						"type" 		=> "transfer",
						"desc" 		=> 'شما میتوانید اطلاعات تنظیمات ذخیره شده را با کپی متن داخل باکس در نصب های مختلف پوسته قرار دهید . برای وارد کردن تنظیمات یک نصب پوسته ی دیگر اطلاعات داخل باکس را با اطلاعاتی که از آن نصب دارید تعویض کنید سپس بر روی وارد کردن تنظیمات کلیک کنید.',
				);
				
	}//End function: of_options()
}//End chack if function exists: of_options()
?>
